'use strict';

var createMap = require('../lib/multimap.js');

var map = createMap();

map.on('add', function(value) { console.log('Added ' + value); });
map.on('remove', function(value) { console.log('Removed ' + value); });

map.add('mod1', 'selected');
map.add('mod2', 'required');
map.add('mod2', 'selected');
map.add('mod3', 'selected');

map.remove('mod2', 'selected');

console.log(JSON.stringify(map.values));

var inverse = map.invert();

console.log(JSON.stringify(inverse.values));
